Bug 147325 - 2 * dead code detected
2 * dead code detected
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 06:40 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 05:17:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-02-07 06:40:36 EST
Description of problem:

I just tried to compile package net-snmp-5.2.1-1 from 
Redhat Fedora development tree.

The compiler said

container_binary_array.c(225): remark #177: function
"netsnmp_binary_array_replace" was declared but never referenced
container_binary_array.c(370): remark #177: function
"netsnmp_binary_array_retrieve" was declared but never referenced

I've had a look at the source code, and I agree with the compiler.
Suggest delete dead code.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Radek Vokal 2005-02-23 05:17:21 EST
This bug should rather go to upstream and they will decide if this
should be removed or not. 

Note You need to log in before you can comment on or make changes to this bug.